## com.fusioncharts.sampledata
Class ArrayRenderData

    java.lang.Object
      com.fusioncharts.sampledata.ArrayRenderData

    public class ArrayRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `combinationFilename`
`protected java.lang.String` `combinationXml`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `multiSeriesFilename`
`protected java.lang.String` `multiSeriesXml`
`protected java.lang.String` `stackedFilename`
`protected java.lang.String` `stackedXml`
`protected java.lang.String` `url`
`protected java.lang.String` `width`
`protected java.lang.String` `xml`

Constructor Summary
`ArrayRenderData()`

Method Summary
`private void` `constructCombinationXML()`
`private void` `constructMultiSeriesXML()` Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.
`private void` `constructSingleSeriesXML()` Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.
`private void` `constructStackedXML()`
`java.lang.String` `getChartId()`
`java.lang.String` `getCombinationFilename()`
`java.lang.String` `getCombinationXml()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getMultiSeriesFilename()`
`java.lang.String` `getMultiSeriesXml()`
`java.lang.String` `getStackedFilename()`
`java.lang.String` `getStackedXml()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`java.lang.String` `getXml()`
`void` `setChartId(java.lang.String chartId)`
`void` `setCombinationFilename(java.lang.String combinationFilename)`
`void` `setCombinationXml(java.lang.String combinationXml)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setMultiSeriesFilename(java.lang.String multiSeriesFilename)`
`void` `setMultiSeriesXml(java.lang.String multiSeriesXml)`
`void` `setStackedFilename(java.lang.String stackedFilename)`
`void` `setStackedXml(java.lang.String stackedXml)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`
`void` `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    protected java.lang.String xml

### multiSeriesXml

    protected java.lang.String multiSeriesXml

### stackedXml

    protected java.lang.String stackedXml

### combinationXml

    protected java.lang.String combinationXml

### chartId

    protected java.lang.String chartId

### url

    protected java.lang.String url

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### multiSeriesFilename

    protected java.lang.String multiSeriesFilename

### stackedFilename

    protected java.lang.String stackedFilename

### combinationFilename

    protected java.lang.String combinationFilename

Constructor Detail

### ArrayRenderData

    public ArrayRenderData()

Method Detail

### constructCombinationXML

    private void constructCombinationXML()

### constructMultiSeriesXML

    private void constructMultiSeriesXML()

  Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.

### constructSingleSeriesXML

    private void constructSingleSeriesXML()

  Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.

### constructStackedXML

    private void constructStackedXML()

### getChartId

    public java.lang.String getChartId()

### getCombinationFilename

    public java.lang.String getCombinationFilename()

  Returns:
    the combinationFilename

### getCombinationXml

    public java.lang.String getCombinationXml()

  Returns:
    the combinationXml

### getFilename

    public java.lang.String getFilename()

  Returns:
    the filename

### getHeight

    public java.lang.String getHeight()

### getMultiSeriesFilename

    public java.lang.String getMultiSeriesFilename()

  Returns:
    the multiSeriesFilename

### getMultiSeriesXml

    public java.lang.String getMultiSeriesXml()

  Returns:
    the downloadUrl

### getStackedFilename

    public java.lang.String getStackedFilename()

  Returns:
    the stackedFilename

### getStackedXml

    public java.lang.String getStackedXml()

  Returns:
    the saveUrl

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### getXml

    public java.lang.String getXml()

### setChartId

    public void setChartId(java.lang.String chartId)

### setCombinationFilename

    public void setCombinationFilename(java.lang.String combinationFilename)

  Parameters:
    `combinationFilename` - the combinationFilename to set

### setCombinationXml

    public void setCombinationXml(java.lang.String combinationXml)

  Parameters:
    `combinationXml` - the combinationXml to set

### setFilename

    public void setFilename(java.lang.String filename)

  Parameters:
    `filename` - the filename to set

### setHeight

    public void setHeight(java.lang.String height)

### setMultiSeriesFilename

    public void setMultiSeriesFilename(java.lang.String multiSeriesFilename)

  Parameters:
    `multiSeriesFilename` - the multiSeriesFilename to set

### setMultiSeriesXml

    public void setMultiSeriesXml(java.lang.String multiSeriesXml)

  Parameters:
    `downloadUrl` - the downloadUrl to set

### setStackedFilename

    public void setStackedFilename(java.lang.String stackedFilename)

  Parameters:
    `stackedFilename` - the stackedFilename to set

### setStackedXml

    public void setStackedXml(java.lang.String stackedXml)

  Parameters:
    `saveUrl` - the saveUrl to set

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)

### setXml

    public void setXml(java.lang.String xml)